Вчера ближе к полуночи по московскому времени стала доступна для скачивания прошивка 5.1. Неудивительно, что на презентации Apple этому обновлению было уделено самое минимальное внимание. Рассказывать там действительно не о чем. Всё, что предлагается пользователям — ряд багфиксов и мелких функциональных улучшений. Полный список задокументированных изменений выглядит следующим образом:

  • поддержка японского языка для Siri (доступность может быть ограничена в начальной стадии работы сервиса);
  • фотографии теперь могут удаляться из Фотопотока;
  • значок быстрого доступа к камере теперь всегда виден на заблокированном экране iPhone 4S, iPhone 4, iPhone 3GS и iPod touch (4-го поколения);
  • функция камеры «Распознавание лиц» теперь выделяет все обнаруженные лица;
  • переработанная программа «Камера» для iPad;
  • миксы Genius и плейлисты Genius для подписчиков iTunes Match;
  • аудиовоспроизведение телешоу и фильмов на iPad оптимизировано для более громкого и ясного звучания;
  • элементы управления скоростью воспроизведения и 30-секундная перемотка назад для iPad;
  • исправление ошибок, связанных с временем работы аккумулятора;
  • исправление ошибки, периодически приводившей к потере звука во входящих звонках.

Как всегда, главное предупреждение адресовано владельцам залоченных iPhone: ни в коем случае не прошивайтесь на официальную версию iOS 5.1! Устранить последствия этой ошибки будет невозможно!

Куда важнее другое — перспективы отката с iOS 5.1 на 5.0.1. Тут всё совсем безрадостно:

  • для iPhone 4S и iPad 2 откат с iOS 5.1 на iOS 5.0 и iOS 5.0.1 будет невозможен! Десять раз подумайте перед обновлением! Никакие SHSH-хеши и токены APTicket вам не помогут, потому что для обхода системы подписывания прошивок в iOS 5 требуется уязвимость в бутроме, а для упомянутых устройств ни одной такой уязвимости пока не найдено.
  • iPad 2 можно будет откатить на iOS 4.x при условии наличия хешей SHSH
  • остальные гаджеты — iPhone 3GS, iPhone 4, iPod touch 3G/4G и первый iPad — могут свободно откатываться на любые старые версии iOS вплоть до iOS 5.0 при условии сохранённых хешей SHSH и на iOS 5.0/5.0.1 при условии сохранения хешей SHSH и токенов APTicket

Пока серверы Apple продолжают подписывание прошивок iOS 5.0.1, но оно может закончиться в любой момент — через несколько минут, часов или дней. Как только это произойдёт, написанные выше ограничения вступят в силу. Сейчас, пока подписывание ещё продолжается, вы можете свободно откатиться с iOS 5.1 на iOS 5.0.1, если вам дорог джейлбрейк. Более того, у вас даже получится понизить модем на iPhone 4S, iPhone 4 или iPad 2 с версий из 5.1 на старые версии из iOS 5.0.1. Но повторимся, это не будет продолжаться вечно; очень скоро подписывание iOS 5.0.1 закроется, и прошиться можно будет только на iOS 5.1!

Для обладателей джейлбрейкнутых iPhone 4S и iPad 2 на iOS 5.0.1 наступит очень рискованное время: любой криво установившийся твик из Cydia, который может привести устройство в нерабочее состояние, станет причиной того, что вам придётся восстанавливать прошивку. При этом восстановиться вы сможете только на iOS 5.1, соответственно, потеряете джейлбрейк.

Скачать билды iOS 5.1 для нынешних устройств Apple можно в обновлённом архиве версий iOS. Прошивки для третьего поколения iPad будут добавлены в ближайшие дни.

Поделитесь страницей через социальные сети

  • appmaster

    Спасибо за статью

  • appmaster

    AppStudio, такой вопрос, если не откат а востановление на 5.0.1? Поидее что должно блокировать? Модем соответствует прошивки. SHSH с аптикетом есть. Что может помешать востановлению? Откуда телефон или айтюнс узнает что это уже не актуальная прошивка если все необходимые идентификаторы (SHSH И аптикет) будут браться с компьютера а не с серверов Apple? Объясните пожалуйста в чем прикол?

  • appmaster

    Я догнал, потаму что модем тоже подписывается.

  • http://appstudio.org AppStudio

    во-первых, отката без восстановления не бывает. во-вторых, аптикет не имеет никакого смысла без уязвимости в бутроме устройства.

  • appmaster

    Востановление это имеется ввидуна туже прошивку (5.0.1), почему же не имеет никакого смысла, аптикет насколько я знаю загружается в телефон и проверяется при каждой загрузке/перезагрузке телефона. Аппаратная уязвимость нужна для вывода из рекавери в случае затыка при перепрошивки, а в данном случае затык как раз будет изза того что модем не подпишется изза того что он уже не актуаленн.

    • http://appstudio.org AppStudio

      вы не правы. если бы всё было так просто, и аптикет можно было бы подгружать в устройства с процессором Apple A5 (и A5X), никто никаких грозных предупреждений сейчас не писал бы.

  • appmaster

    Предупреждение однозначно бы было потаму что начиная с iPhone 4, модемы так же как и прошивка подписываются но сохранять эту подпись нет смысла потаму что она каждый раз рандомная.

  • http://grawl.ru Даниил

    MuscleNerd уже обещает привязанный взлом iOS 5.1: https://twitter.com/#!/musclenerd/status/177689727808442368

  • DK

    IPhone 3GS, old boot.
    Откат на прошивку 4 не возможен?
    И прочитал на другом сайте, что для старого буи ромджейлбрейк 5.1 не привязан, это правда?)

    • http://appstudio.org AppStudio

      вы текст статьи читали? там зелёным по белому написано, что:

      остальные гаджеты – iPhone 3GS, iPhone 4, iPod touch 3G/4G и первый iPad – могут свободно откатываться на любые старые версии iOS вплоть до iOS 5.0 при условии сохранённых хешей SHSH и на iOS 5.0/5.0.1 при условии сохранения хешей SHSH и токенов APTicket

      насчёт старого бута — да, всё верно. там есть ещё более древняя уязвимость, которая гарантирует непривязанный джейл на любой прошивке

  • John

    Вот уже третий день не могу обновиться, ни с телефона, ни скачать прошивки по ссылкам, в чем проблема может быть?

  • hpp

    Перешился на 5.1 и исчез пункт вай фай точка доступа, а я ей постоянно пользовался. Вот такой незадокументированный фак…

    • http://grawl.ru Даниил

      Эту фигню постоянно то отключают, то включают. В какой-то из четвёртых iOS, например, эта функция была включена для 3GS, а потом опять её выключили. Пришлось красть MyWi из пиратского репо Cydia.

  • http://grawl.ru Даниил

    Я тут перевёл свежую новость из Dev-Team Blog, “March Mayhem” http://iphone-dev-ru.tumblr.com/post/19171843278/march-mayhem

  • UZEX

    Всем привет !

    У меня Iphone 4 Новый версия IOS 5.1(9в176) Прощивка модема 04.12.01  устанавлю, а потом телифон СИМ КАРТА  не выдет НЕТ СИГНАЛ ((((
    Скажите как решать в этом проблема ?
    04.12.01  модем Когда будеть Jealbreak, надаел уже сколка ждууууууууу.
    Пожалуста  ответи мне uzex_0111@mail.ru
    Зарание СПС !

  • vvbond98

    А можно будет откатить 5.1.до нее у меня стояла 4.3.3

  • Павел

    А файлы shsh нельзя скачать откуда-либо?

  • gin

    и что мне делать с моим ipad 2 ios 5.1, откатить получается нельзя назад ? (((
    прощай ipad или все таки есть решение проблемы ?

  • promo

    я начинающий пользователь. купил айфон 4с, 5.0.1 отличается от 5.1? стоит ли переходить на 5.1? на версии 5.0.1 есть джейлбрейк (который бы не слетал при перезагрузке, как его там «отвязанный» вроде)?

  • pr

    я начинающий пользователь. купил айфон 4с, 5.0.1 отличается от 5.1? стоит ли переходить на 5.1? на версии 5.0.1 есть джейлбрейк (который бы не слетал при перезагрузке, как его там «отвязанный» вроде)?